// Craig S. Kaplan
//
// Compare this sketch to FakeNoise.  This one simply uses
// the built-in noise() function to draw a graph in a way
// that supports direct manipulation anywhere on the line.

// Amount of translation for direct manipulation purposes.
float dx;
float inc = .01;
void setup()
{
  size( 600, 200 );
  dx = 0;
 // frameRate(1);
}

float myFunc( float x )
{
  float v = noise( x );

  return map( v, 0, 1, 0, height/4 );

}

void draw()
{
  background( 255 );
  strokeWeight( 2 );
  stroke( 255, 0, 0 );
  noFill();
      dx = dx + .01;
//  beginShape();
  for( int x = 0; x < 600; ++x ) {

    line( x, myFunc( (x * inc) - dx ), x, myFunc( (x*inc) - dx ) +30 );
  }
//  endShape();
}

void mouseDragged()
{
  dx += mouseX - pmouseX;
  println(dx);
}
