// Craig S. Kaplan
//
// This is here purely as a starting point for the FullGridViz
// sketch.  I start here and layer on the tools we need to 
// allow direct manipulation of the grid cells, with their
// coordinates intact.  This sketch is perfectly within the
// reach of CS 106, but not really a demonstration of noise() --
// it's more useful as part of a demonstration in lecture.

void setup()
{
  size( 700, 700 );
}

void draw()
{
  background( 255 );
  noFill();
  strokeWeight( 1 );
  stroke( 255, 0, 0 );
  
  for( int y = 0; y < 10; ++y ) {
    for( int x = 0; x < 10; ++x ) {
      fill( 255, 0, 0 );
      text( "(" + x + "," + y + ")", 100 + x*50, 112 + y*50 );
      noFill();
      rect( 100 + x*50, 100 + y*50, 50, 50 ); 
    }
  }
  
  noFill();
  stroke( 0 );
  strokeWeight( 3 );
  rect( 100, 100, 500, 500 );
}